Bug 196082 - [MAINTAINER] mail/heirloom-mailx: Remove SSLv2 and SSLv3 support
Summary: [MAINTAINER] mail/heirloom-mailx: Remove SSLv2 and SSLv3 support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Pawel Pekala
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2014-12-18 06:20 UTC by Jamie Landeg-Jones
Modified: 2015-02-04 19:34 UTC (History)
2 users (show)

See Also:


Attachments
update patch, produced with portutils (7.38 KB, text/plain)
2014-12-18 06:20 UTC, Jamie Landeg-Jones
no flags Details
Compilation output (134.72 KB, text/plain)
2014-12-19 09:42 UTC, Jamie Landeg-Jones
no flags Details
Fixes location of sendmail/mailwrapper binary (493 bytes, patch)
2015-02-04 12:16 UTC, Jamie Landeg-Jones
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jamie Landeg-Jones 2014-12-18 06:20:09 UTC
Created attachment 150707 [details]
update patch, produced with portutils

heirloom-mailx contains some hard coded options relating to SSLv2 and SSLv3, causing it to not compile against OpenSSL with these disabled.

This patch removes SSLv2/SSLv3 support entirely.

Also, fix path to sendmail binary that was accidentally removed during a previous update.

Thanks to Jungleboogie0@gmail.com for the heads-up!
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2014-12-18 12:24:36 UTC
Thanks for your submission Jamie.

Can you attach a log of a successful build please, either using poudriere or:

make stage && make check-plist && make stage-qa && make package
Comment 2 Jamie Landeg-Jones 2014-12-19 09:39:19 UTC
No problem!

Incidentally, this port was raised in response to: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=195796 which is concerned with port breakage after base sslv2/v3 removal.

As for heirloom-mailx, there is some code that let's you specifically select SSLv2. I've simply removed this option, but if a user still needs SSLv2 or v3, they can still use it if their openSSL is configured to support it

cheers, Jamie
Comment 3 Jamie Landeg-Jones 2014-12-19 09:42:36 UTC
Created attachment 150750 [details]
Compilation output
Comment 4 Pawel Pekala freebsd_committer 2015-01-03 23:14:00 UTC
Fails to build on 8.x and 9.x, please see log:

http://people.freebsd.org/~pawel/buildlogs/heirloom-mailx-12.4_7-8amd64.log
Comment 5 Jamie Landeg-Jones 2015-02-04 12:09:42 UTC
Apologies for the really late reply.

Yes, I'd stupidly replaced the SSL functions with TLS ones, which don't ship with openssl included in FreeBSD 8/9.

However, in the meantime, someone else has already patched and committed a fix for the SSL problem:

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=195796#c22

https://svnweb.freebsd.org/changeset/ports/377064

Therefore, the only thing left is the fix to the sendmail path, so could the attached patch be applied instead of the earlier one?

thanks, jamie
Comment 6 Jamie Landeg-Jones 2015-02-04 12:16:54 UTC
Created attachment 152549 [details]
Fixes location of sendmail/mailwrapper binary
Comment 7 Jamie Landeg-Jones 2015-02-04 12:20:32 UTC
Sorry, I pasted the wrong svnweb link, the correct one is:

https://svnweb.freebsd.org/changeset/ports/375911
Comment 8 Jamie Landeg-Jones 2015-02-04 12:36:58 UTC
ARRRGH. No...more....posting...until....after....coffee.

Take 3: *this* is the svnweb link I meant to paste:

https://svnweb.freebsd.org/changeset/ports/376629
Comment 9 commit-hook freebsd_committer 2015-02-04 19:34:19 UTC
A commit references this bug:

Author: pawel
Date: Wed Feb  4 19:33:25 UTC 2015
New revision: 378412
URL: https://svnweb.freebsd.org/changeset/ports/378412

Log:
  Fix path to sendmail binary that was accidentally removed
  during a previous update

  PR:		196082
  Submitted by:	Jamie Landeg-Jones <jamie@dyslexicfish.net> (maintainer)

Changes:
  head/mail/heirloom-mailx/Makefile